package ital;

/**
 * Class for representing a Bor object by its fajta and evjarat attributes.
 */
public class Bor {
  private String fajta;
  private int evjarat;
  
  /**
   * Constructs a Bor objects and fills its attributes with the specified 
   * parameters.
   * @param fajta to be set
   * @param evjarat to be set
   */
  public Bor(String fajta, int evjarat) {
    this.fajta = fajta;
    this.evjarat = evjarat;
  }

  /**
   * Returns the value of the fajta attribute of the current object.
   * @return the fajta of the object
   */
  public String getFajta() {
    return fajta;
  }

  /**
   * Sets the specified value for the fajta attribute of the current object.
   * @param fajta to be set
   */
  public void setFajta(String fajta) {
    this.fajta = fajta;
  }

  /**
   * Returns the value of the evjarat attribute of the current object.
   * @return the evjarat of the object
   */
  public int getEvjarat() {
    return evjarat;
  }

  /**
   * Sets the specified value for the fajta attribute of the current object.
   * @param evjarat to be set
   */
  public void setEvjarat(int evjarat) {
    this.evjarat = evjarat;
  }

  @Override
  public String toString() {
    return "Bor: fajta=" + fajta + ", evjarat=" + evjarat;
  }
  
}
